.mortgage-box {
  background-color: white !important;
  padding: 24px;
  border-radius: 16px;
  box-shadow: 0px 6px 16px 0px #0000000d;
}
.last-row {
  display: flex;
  gap: 24px;
  align-items: start;
}

.last-row .field {
  width: 100%;
}

.field {
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;
}

label {
  font-size: 14px;
  color: #646365;
  font-weight: 600;
  margin-bottom: 5px;
}

.input-wrapper {
  position: relative;
  display: flex;
  align-items: center;
}

.currency {
  position: absolute;
  left: 10px;
  color: #777;
  font-size: 14px;
}

.input-wrapper input {
  width: 100%;
  padding: 8px 10px 8px 45px !important;
  border-radius: 12px;
  border: 1px solid #807f81;
  background: #fff;
  font-size: 14px;
  color: #282829;
}

.field input {
  width: 100%;
  padding: 8px 10px;
  border-radius: 12px;
  border: 1px solid #807f81;
  font-size: 14px;
  color: #282829;
}
#downPercent {
  padding: 8px !important;
}
.result {
  display: flex;
  gap: 12px;
  flex-direction: column;
}

.result span {
  font-weight: 600;
  color: #f37021;
}

.sections-mortgage {
  display: flex;
  align-items: start;
  gap: 24px;
}

.sections-mortgage .mortgage-box,
.sections-mortgage .second-section {
  width: 100%;
}

.sections-mortgage .second-section {
  display: flex;
  gap: 32px;
  flex-direction: column;
}

.result .details {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
}

.result .details-title {
  color: #646365;
  font-weight: 400;
}

.result .details .result-numbers {
  color: #282829;
  font-weight: 600;
}

.toast-msg {
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%) translateY(30px);
  background: #f37021;
  color: #fff;
  padding: 10px 20px;
  border-radius: 8px;
  opacity: 0;
  transition: all 0.3s ease;
  z-index: 9999;
  font-size: 14px;
  font-weight: 500;
}

.toast-msg.show {
  opacity: 1;
  transform: translateX(-50%) translateY(0);
}
p.overview {
  color: #646365;
  font-size: 14px;
  font-weight: 400;
}
.actions-button {
  display: flex;
  gap: 16px;
  align-items: center;
}
.actions-button a.action {
  min-width: fit-content;
  color: #f4f4f4;
  font-size: 16px;
  font-weight: 600;
  text-transform: capitalize;
}
.actions-button .check-button {
  cursor: pointer;
  width: 100%;
  background: #fff;
  color: #282829;
  padding: 12px 32px;
  line-height: 1;
  border-radius: 12px;
  border: 0.5px solid #646365;
  font-size: 16px;
  font-weight: 600;
  text-transform: capitalize;
}
.actions-button .check-button:hover,
.actions-button .check-button:focus {
  background: #ebebeb;
  color: #282829;
}
.mortgage-popup {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 32px 0;
  gap: 16px;
}
.form-information {
  margin-bottom: 14px;
}
.form-information .form-title {
  font-size: 18px;
  font-weight: 600;
  color: #282829;
}
.form-information .form-desc {
  font-size: 14px !important;
}
.info-card {
  background: #eff6ff;
  border: 1px solid #bfdbfe;
  box-shadow: 0px 6px 16px 0px #0000000d;
  border-radius: 8px;
  display: flex;
  align-items: start;
  gap: 8px;
  padding: 16px;
}
.info-card p {
  font-size: 14px;
  color: #1e3a95;
}
.request {
  width: 100%;
  margin-top: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}
#monthlyPayment {
  color: #d97b48 !important;
}
.ltv {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
}
.ltv .details-title {
  color: #646365;
  font-weight: 400;
  font-size: 14px;
}
.ltv .result-numbers {
  color: #282829;
  font-weight: 600;
  font-size: 14px;
}
.ltv-hint {
  display: flex;
  align-items: center;
  gap: 8px;
}
.ltv-hint .hint-text {
  color: #c2c2c2;
  font-size: 12px;
}
.results-final {
  display: flex;
  flex-direction: column;
  gap: 24px;
  align-items: start;
  justify-content: stretch;
}
.back-button {
  background: transparent !important;
  border: none !important;
  padding: 0 !important;
  cursor: pointer;
}
.box-details {
  width: 100%;
  border-radius: 8px;
  padding: 16px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.box-details {
  text-align: center;
}
.box-suitable {
  background-color: #66cb9f;
}
.box-tight {
  background-color: #d73f42;
}
.status-title {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}
.status-title h5 {
  color: white;
  font-weight: 600;
  font-size: 24px;
}
.box-details p {
  color: white;
  font-size: 14px;
  font-weight: 400;
}
.summary-box {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
}
.monthly-rate,
.other-rate {
  width: 100%;
}
.monthly-rate {
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: center;
  justify-content: center;
}
.monthly-rate h3 {
  font-size: 32px;
  color: #d97b48;
  font-weight: 600;
}
.tight .monthly-rate h3 {
  color: #d73f42;
}
.other-rate {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
  align-items: start;
}
.single-rate {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 8px;
}
.single-rate p {
  color: #646365;
  font-size: 16px;
  font-weight: 400;
}
.suitable-url {
  width: 100%;
  font-size: 16px;
  font-weight: 400;
  color: #646365;
  text-align: center;
}
.check-button:disabled {
  cursor: not-allowed;
}
#check-suitable {
  background: #66cb9f !important;
  color: white !important;
  border: white !important;
}
#check-tight {
  background: #d73f42 !important;
  color: white !important;
  border: white !important;
}
@media only screen and (max-width: 767px) {
  .summary-box {
    flex-direction: column;
  }
  .actions-button {
    flex-direction: column-reverse;
  }
  .actions-button a.action {
    width: 100%;
  }
  .sections-mortgage {
    flex-direction: column;
    gap: 24px;
  }

  .mortgage-calculator h3 {
    font-size: 18px;
  }
}
